%define name		soqt
%define tarname		SoQt
%define version		1.5.0
%define release		%mkrel 3
%define major		20
%define libname		%mklibname %name %major
%define libnamedev	%mklibname %name %major -d

Summary:		Interfaces Coin with the Qt GUI library
Name:			%{name}
Version:		%{version}
Release:		%{release}
Source0:		http://ftp.coin3d.org/coin/src/all/%{tarname}-%{version}.tar.gz
License:		GPLv2
Group:			System/Libraries
URL:			http://www.coin3d.org/

BuildRequires:		pkgconfig(Coin)
BuildRequires:		pkgconfig(QtGui)

%description 
SoQt, like Coin and Qt, provides the programmer with a high-level application
programmer's interface (API) in C++. The library primarily includes a
class-hierarchy of viewer components of varying functionality and complexity,
with various modes for the end-user to control the 3D-scene camera interaction.

%package -n %{libname}
Summary:		Main library for SoQt
Group:			System/Libraries
Provides:		%{name} = %{version}-%{release}

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with SoQt.

%package -n %{libnamedev}
Summary:		Headers for developing programs that will use SoQt
Group:			Development/C++
Requires:		%{libname} = %{version}-%{release}
Provides:		%{name}-devel = %{version}-%{release}
Provides:		%{tarname}-devel = %{version}-%{release}

%description -n %{libnamedev}
This package contains the headers that programmers will need to develop
applications which will use SoQt.

%prep
%setup -q -n %tarname-%version

%build
./configure --libdir=%{_libdir}

%make

%install
%makeinstall

%files -n %{libname}
%{_libdir}/*.so.*

%files -n %{libnamedev}
%doc README FAQ AUTHORS NEWS
%{_bindir}/*
%{_libdir}/*.so
%{_libdir}/*.la
%{_includedir}/*
%{_datadir}/Coin/conf/*
%{_datadir}/aclocal/*
%{_mandir}/man1/*
%{_libdir}/pkgconfig/*.pc

%clean


%changelog

* Mon Jan 14 2013 umeabot <umeabot> 1.5.0-3.mga3
+ Revision: 382341
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Feb 21 2012 barjac <barjac> 1.5.0-2.mga2
+ Revision: 211642
- Corrected Provides and Requires on -devel

* Tue Feb 21 2012 barjac <barjac> 1.5.0-1.mga2
+ Revision: 211498
- imported package soqt

